%define rel	9

# NOTE: when updating, make sure vdr-plugin-live still builds. -Anssi

%define major	12
%define libname	%mklibname tntnet %{major}
%define devname	%mklibname tntnet -d

Summary:	A web application server for web applications written in C++
Name:		tntnet
Version:	2.2.1
Release:	%mkrel %{rel}
License:	LGPLv2+
Group:		System/Servers
URL:		http://www.tntnet.org/
Source:		http://www.tntnet.org/download/%{name}-%{version}.tar.gz
BuildRequires:	cxxtools-devel
BuildRequires:	gnutls-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	zip

%description
Tntnet is a web application server for web applications written in C++.

You can write a Web-page with HTML and with special tags you embed
C++-code into the page for active contents. These pages, called
components are compiled into C++-classes with the ecpp-compilier
"ecppc", then compiled into objectcode and linked into a shared library.
This shared library is loaded by the webserver "tntnet" on request and
executed.

%package	demos
Summary:	Demos for tntnet
Group:		System/Servers
Requires:	%{name} = %{version}

%description	demos
Demo web applications for tntnet.

%package -n	%{libname}
Summary:	Shared library of tntnet
Group:		System/Libraries

%description -n %{libname}
Tntnet library.

%package -n	%{devname}
Summary:	Headers and static library for tntnet development
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	tntnet-devel = %{version}-%{release}

%description -n %{devname}
Headers and static library for tntnet development.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make

%install
%make_install

find %{buildroot} -name '*.la' | xargs rm

%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config %{buildroot}%{_bindir}/ecpp*

# TODO: patch to get compliant
rm -f %{buildroot}/etc/init.d/tntnet

%files
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.xml
%{_bindir}/tntnet
%dir %{_datadir}/tntnet
%{_datadir}/tntnet/tntnet-conf2xml.pl
%dir %{_libdir}/tntnet
%{_libdir}/tntnet/tntnet.*
%{_mandir}/man7/ecpp.*
%{_mandir}/man7/tntnet.*
%{_mandir}/man8/tntnet.*

%files demos
%exclude %{_libdir}/tntnet/tntnet.*
%{_libdir}/tntnet/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{devname}
%doc AUTHORS README TODO
%{_bindir}/%{name}-config
%{_bindir}/ecpp*
%{multiarch_bindir}/%{name}-config
%{multiarch_bindir}/ecpp*
%{_libdir}/*.so
%{_includedir}/tnt
%{_mandir}/man1/ecppc.*
%{_mandir}/man1/ecppl.*
%{_mandir}/man1/ecppll.*
%{_mandir}/man1/tntnet-config.*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.2.1-9.mga8
+ Revision: 1517434
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 2.2.1-8.mga7
+ Revision: 1301430
- Mageia 7 Mass Rebuild

* Sat Sep 09 2017 cjw <cjw> 2.2.1-7.mga7
+ Revision: 1152019
- rebuild for openssl 1.1

* Thu Mar 03 2016 umeabot <umeabot> 2.2.1-6.mga6
+ Revision: 984658
- Rebuild for openssl

* Fri Feb 12 2016 umeabot <umeabot> 2.2.1-5.mga6
+ Revision: 958999
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 cjw <cjw> 2.2.1-4.mga6
+ Revision: 868909
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-3.mga5
+ Revision: 748134
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.1-2.mga5
+ Revision: 689910
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 anssi <anssi> 2.2.1-1.mga5
+ Revision: 587558
- new version 2.2.1 (CVE-2013-7299)

* Tue Oct 22 2013 umeabot <umeabot> 2.2-2.mga4
+ Revision: 544152
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 2.2-1.mga4
+ Revision: 498162
- new version 2.2
- drop gcc4.7 patch, fixed upstream

* Mon Jan 14 2013 umeabot <umeabot> 2.1-2.mga3
+ Revision: 387925
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 pterjan <pterjan> 2.1-1.mga3
+ Revision: 327083
- Fix missing include
- 2.1

* Thu Sep 22 2011 fwang <fwang> 1.6.3-4.mga2
+ Revision: 146667
- typo fix
- drop .la files
- link against libgcrypt
- rebuild for new gnutls

* Sat May 14 2011 anssi <anssi> 1.6.3-2.mga1
+ Revision: 98361
- fix usage of now nonexistent libgnutls-config (gnutls.patch)
- remove old scriptlets
- add warning about updating
- fix license tag
- imported package tntnet


* Sat Feb 28 2009 Anssi Hannula <anssi@mandriva.org> 1.6.3-1mdv2009.1
+ Revision: 345996
- new version
- new major
- fix underlinking (underlinking.patch)
- fix build with recent gcc (includes.patch)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 24 2008 Anssi Hannula <anssi@mandriva.org> 1.6.2-1mdv2009.0
+ Revision: 197073
- new version
- new major
- do not build large static libraries (they were not built in previous
  versions)

* Sat Jan 19 2008 Anssi Hannula <anssi@mandriva.org> 1.6.0.1-1mdv2008.1
+ Revision: 155129
- initial Mandriva release

